ru.bitel.bgbilling.modules.softline.server.bean

## Enum SoftLineURL

- java.lang.Object
- - java.lang.Enum<SoftLineURL>
  - - ru.bitel.bgbilling.modules.softline.server.bean.SoftLineURL

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SoftLineURL>

      public enum SoftLineURL
      extends java.lang.Enum<SoftLineURL>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACTIVATE`
    `CHECK_SYSTEM`
    `GET_ACCOUNT_INFO`
    `GET_SHIPPING_DATA`
    `PAUSE`
    `TEST_URL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMethod()`
    `static SoftLineURL` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SoftLineURL[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACTIVATE

          public static final SoftLineURL ACTIVATE

    - #### PAUSE

          public static final SoftLineURL PAUSE

    - #### GET_ACCOUNT_INFO

          public static final SoftLineURL GET_ACCOUNT_INFO

    - #### GET_SHIPPING_DATA

          public static final SoftLineURL GET_SHIPPING_DATA

    - #### CHECK_SYSTEM

          public static final SoftLineURL CHECK_SYSTEM

    - #### TEST_URL

          public static final SoftLineURL TEST_URL

  - ### Method Detail

    - #### values

          public static SoftLineURL[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SoftLineURL c : SoftLineURL.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SoftLineURL valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMethod

          public java.lang.String getMethod()